Bug 1278148 - /sbin/runuser: cannot set user id: Resource temporarily unavailable when restarting app
/sbin/runuser: cannot set user id: Resource temporarily unavailable when rest...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Deployments (Show other bugs)
2.x
Unspecified Mac OS
unspecified Severity high
: ---
: ---
Assigned To: Timothy Williams
zhou ying
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 14:01 EST by sergio.arrighi
Modified: 2015-11-10 14:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 12:33:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sergio.arrighi 2015-11-04 14:01:55 EST
Description of problem:
hello, today I tried to install MongoRock on my domain and app:
vainglory-allstarseries

Installation failed and now I'm unable to restart app and I get error
rhc force-stop-app -a

I tried to execute 
rhc force-stop-app -a

but it didn't work

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Try to restart vainglory-allstarseries app
2.
3.

Actual results:
Installation failed and now I'm unable to restart app and I get error
Expected results:
App is restarted

Additional info:
Comment 1 sergio.arrighi 2015-11-04 14:49:24 EST
I cannot even connect through SSH now, nor push to my repository.
Please assist
Comment 2 Timothy Williams 2015-11-05 12:01:34 EST
Hi,

We are checking your application now and will let you know what we find out.

Could you please help us by providing the error that you encounter when you try to force-stop your gear?
Comment 3 Timothy Williams 2015-11-05 12:33:45 EST
It appears that there were several stuck operations for your gear. This is part of an ongoing issue we are currently investigating and resolving.

Your application should be running normally now. Please let me know if you are still experiencing issues with the application.
Comment 4 sergio.arrighi 2015-11-06 05:51:16 EST
Yes everything back to normal again.
Thanks a lot for help.
I wish you a nice day.

Best regards
Comment 5 sergio.arrighi 2015-11-06 12:31:37 EST
Hello,

problem is back again but with different message from web console

/sbin/runuser: cannot set user id: Resource temporarily unavailable


/sbin/runuser: cannot set user id: Resource temporarily unavailable
Resources unavailable for operation. You may need to run 'rhc force-stop-app -a vainglory' and retry.
Resources unavailable for operation. You may need to run 'rhc force-stop-app -a vainglory' and retry.
Failed to execute: 'control restart' for /var/lib/openshift/562d3c940c1e668e8a000112/mongodb
Failed to execute: 'control restart' for /var/lib/openshift/562d3c940c1e668e8a000112/jbossews

please advice.

Regars
Comment 6 sergio.arrighi 2015-11-06 12:33:12 EST
Force stopping worked sorry :)

Note You need to log in before you can comment on or make changes to this bug.